## r-cran-tfmpvalue 0.0.8

=== DESCRIPTION ===
Package: TFMPvalue
Version: 0.0.8
Date: 2018-05-16
Title: Efficient and Accurate P-Value Computation for Position Weight
        Matrices
Description: In putative Transcription Factor Binding Sites (TFBSs) 
             identification from sequence/alignments,
             we are interested in the significance of certain match score.
             TFMPvalue provides the accurate calculation of P-value with 
             score threshold for Position Weight Matrices, 
             or the score with given P-value. 
             It is an interface to code originally made available by 
             Helene Touzet and Jean-Stephane Varre, 2007, 
             Algorithms Mol Biol:2, 15.
             Touzet and Varre (2007) <DOI:10.1186/1748-7188-2-15>.
Author: Ge Tan <ge_tan@live.com>
Maintainer: Ge Tan <ge_tan@live.com>
Copyright: 2007 LIFL-USTL-INRIA
Imports: Rcpp(>= 0.11.1)
Depends: R (>= 3.0.1)
Suggests: testthat
LinkingTo: Rcpp
License: GPL-2
URL: https://github.com/ge11232002/TFMPvalue
BugReports: https://github.com/ge11232002/TFMPvalue/issues
Type: Package
NeedsCompilation: yes
SystemRequirements: C++11
LazyData: yes
Collate: TFMPvalue-sc2pv.R TFMPvalue-pv2sc.R TFMPvalue-lazyScore.R
        util.R
Packaged: 2018-05-16 07:51:11 UTC; gtan
Repository: CRAN
Date/Publication: 2018-05-16 08:03:38 UTC

=== debian/changelog ===
r-cran-tfmpvalue (0.0.8-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Try hard to get tests working but failed

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:58:36 +0200

r-cran-tfmpvalue (0.0.8-1) unstable; urgency=medium

  * Initial release (closes: #899046)

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 19:45:11 +0200

=== debian/control ===
Source: r-cran-tfmpvalue
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tfmpvalue
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tfmpvalue.git
Homepage: https://cran.r-project.org/package=TFMPvalue
Rules-Requires-Root: no

Package: r-cran-tfmpvalue
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R P-Value Computation for Position Weight Matrices
 In putative Transcription Factor Binding Sites (TFBSs) identification
 from sequence/alignments, it is interesting to obtain the significance
 of certain match score. TFMPvalue provides the accurate calculation of
 P-value with score threshold for Position Weight Matrices, or the score
 with given P-value. This package is an interface to code originally made
 available by Helene Touzet and Jean-Stephane Varre, 2007, Algorithms Mol
 Biol:2, 15.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/TFMPvalue_([-\d.]*)\.tar\.gz

## r-cran-tfmpvalue 0.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: TFMPvalue
-Version: 0.0.8
-Date: 2018-05-16
+Version: 0.0.9
+Date: 2022-10-19
 Title: Efficient and Accurate P-Value Computation for Position Weight
         Matrices
 Description: In putative Transcription Factor Binding Sites (TFBSs) 
@@ -11,8 +11,7 @@
              or the score with given P-value. 
              It is an interface to code originally made available by 
              Helene Touzet and Jean-Stephane Varre, 2007, 
-             Algorithms Mol Biol:2, 15.
-             Touzet and Varre (2007) <DOI:10.1186/1748-7188-2-15>.
+             Algorithms Mol Biol:2, 15. <doi:10.1186/1748-7188-2-15>.
 Author: Ge Tan <ge_tan@live.com>
 Maintainer: Ge Tan <ge_tan@live.com>
 Copyright: 2007 LIFL-USTL-INRIA
@@ -26,9 +25,8 @@
 Type: Package
 NeedsCompilation: yes
 SystemRequirements: C++11
-LazyData: yes
 Collate: TFMPvalue-sc2pv.R TFMPvalue-pv2sc.R TFMPvalue-lazyScore.R
         util.R
-Packaged: 2018-05-16 07:51:11 UTC; gtan
+Packaged: 2022-10-20 18:34:51 UTC; gtan
 Repository: CRAN
-Date/Publication: 2018-05-16 08:03:38 UTC
+Date/Publication: 2022-10-21 11:55:14 UTC

=== debian/changelog ===
r-cran-tfmpvalue (0.0.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 14:35:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tfmpvalue
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tfmpvalue.git
 Homepage: https://cran.r-project.org/package=TFMPvalue
